import express from "express";
import {
  deleteLikelihood,
  deleteSeverity,
  getLikelihoodList,
  getSeverityList,
  postLikelihood,
  postSeverity,
  putLikelihood,
  putSeverity
} from "../controllers/rpnController.js";

const router = express.Router();

router.get("/rpn/likelihood", getLikelihoodList);
router.post("/rpn/likelihood", postLikelihood);
router.put("/rpn/likelihood", putLikelihood);
router.delete("/rpn/likelihood/:likelihood_of_harm", deleteLikelihood);

router.get("/rpn/severity", getSeverityList);
router.post("/rpn/severity", postSeverity);
router.put("/rpn/severity", putSeverity);
router.delete("/rpn/severity/:severity_of_harm", deleteSeverity);

export default router;
